Subject: bug#37573: 27.0.50; Remote file opened from GNOME-Nautilus

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Oct 2019 20:44:27 +0300

> From: Michael Albinus <[email-masked]>
> Date: Sun, 06 Oct 2019 12:37:21 +0200
> Cc: [email-masked]
> 
> I could reproduce it locally. The problem is, that /run/user/1000/gvfs/
> is a GVFS mounted file system. Most of native file operations work
> there, but there seems to be a problem to handle symlinks like .#filename
> which are used to mark locked files.
> 
> Saving the modified buffer itself works. So it might be appropriate to
> suppress the file locking on GVFS mounted file systems. Add the
> following lines to your .emacs:
> 
> (put 'create-lockfiles 'safe-local-variable 'booleanp)
> (dir-locals-set-class-variables 'gvfs '((nil . ((create-lockfiles . nil)))))
> (dir-locals-set-directory-class (format "/run/user/%d/gvfs" (user-uid)) 'gvfs)
> 
> I'm wondering, whether we shall document this approach somewhere. Eli?

Does this file operation always fail on GVFS volumes?  If so, perhaps
we should not create lockfiles on such volumes by default?